package com.miya;

import com.miya.common.SessionClient;

import java.sql.SQLException;

/**
 * Hello world!
 *
 */

public class App {

    private static final String CREATE_SOURCE_SQL = "CREATE TABLE source_table_4 (\n" +
            "  `mysql_type` STRING,\n" +
            "  `ts` TIMESTAMP(3) METADATA FROM 'timestamp'\n" +
            ") WITH (\n" +
            "  'connector' = 'kafka',\n" +
            "  'topic' = 'rds-binlog-test',\n" +
            "  'properties.bootstrap.servers' = '172.16.7.171:9092',\n" +
            "  'properties.group.id' = 'testGroup',\n" +
            "  'scan.startup.mode' = 'latest-offset',\n" +
            "  'format' = 'json'\n" +
            ")";

    private static final String CREATE_SINK_SQL = "CREATE TABLE sink_table_4 (\n" +
            "  `mysql_type` STRING\n" +
            ") WITH (\n" +
            "  'connector' = 'kafka',\n" +
            "  'topic' = 'rds-binlog-test2',\n" +
            "  'properties.bootstrap.servers' = '172.16.7.171:9092',\n" +
            "  'format' = 'csv'\n" +
            ")";

    private static final String CREATE_PRINT_SQL = "CREATE TABLE print_table3(`mysql_type` STRING) " +
            "WITH ('connector'='filesystem', \n" +
            "   'path'='file:///tmp/abc', \n" +
            "   'format'='csv' )";


    private static final String CREATE_HBASE_SQL = "CREATE TABLE hTable (\n" +
            " rowkey INT,\n" +
            " family1 ROW<q1 STRING>,\n" +
            " PRIMARY KEY (rowkey) NOT ENFORCED\n" +
            ") WITH (\n" +
            " 'connector' = 'hbase-2.2',\n" +
            " 'table-name' = 'mytable',\n" +
            " 'zookeeper.quorum' = '172.16.128.133:2181'\n" +
            ")" ;

    private static final String CREATE_HBASE_SQL2 = "CREATE TABLE hTable2 (\n" +
            " rowkey INT,\n" +
            " family1 ROW<q1 STRING>,\n" +
            " PRIMARY KEY (rowkey) NOT ENFORCED\n" +
            ") WITH (\n" +
            " 'connector' = 'hbase-2.2',\n" +
            " 'table-name' = 'mytable2',\n" +
            " 'zookeeper.quorum' = '172.16.128.3:2181',\n" +
            " 'zookeeper.znode.parent' = '/hbase'\n" +
            ")" ;

    private static final String SHOW_TABLES_SQL = "show tables";

    private static final String CREATE_JOB_SQL = "insert into sink_table_4(mysql_type)  select mysql_type  from source_table_4";
    private static final String CREATE_JOB_SQL2 = "INSERT INTO hTable\n" +
        "SELECT CAST(mysql_type as INT),ROW(mysql_type) FROM source_table_4";
    private static final String CREATE_JOB_SQL3 = "INSERT INTO hTable2\n" +
            "SELECT CAST(mysql_type as INT),ROW(mysql_type) FROM source_table_4";
//    private static final String CREATE_JOB_SQL = " select mysql_type  from source_table_4";


    public static void main(String[] args) throws Exception {
        SessionClient session = new SessionClient(new App().getClass().getName(),"123.60.47.52", 8083, "streaming");


        kafka2kafka(session);

        session.close();
    }

    private static void kafka2hbase(SessionClient session) throws SQLException {
        System.out.println(session.submitStatement(CREATE_SOURCE_SQL).getResults());
        System.out.println(session.submitStatement(CREATE_HBASE_SQL2).getResults());
        System.out.println(session.submitStatement(CREATE_JOB_SQL3).getResults());
    }

    private static void kafka2kafka(SessionClient session) throws SQLException {
        System.out.println(session.submitStatement(CREATE_SOURCE_SQL).getResults());
        System.out.println(session.submitStatement(CREATE_SINK_SQL).getResults());
        System.out.println(session.submitStatement(CREATE_JOB_SQL).getResults());
    }
}